# canonEntry_s Struct Reference

## Data Fields

const char * | name
const char * | short_name
short | num

## Field Documentation

const char* canonEntry_s::name

| Definition at line 77 of file rpmrc.c. Referenced by addCanon(), and rpmFreeRpmrc().

short canonEntry_s::num

| Definition at line 79 of file rpmrc.c. Referenced by addCanon(), and getMachineInfo().

const char* canonEntry_s::short_name

| Definition at line 78 of file rpmrc.c. Referenced by addCanon(), defaultMachine(), getMachineInfo(), and rpmFreeRpmrc().

The documentation for this struct was generated from the following file:

- lib/rpmrc.c